Editing subversion log message does not update 'Repository' view

2008-07-04 04:26 - Guest Test

Status: Closed Start date: 2008-07-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.7.2

Description

If you make a commit to subversion then update your Redmine 'Repository' view (either by clicking it with autofetch enabled, or

running something like

/usr/bin/ruby /home/redmine072/script/runner "Repository.fetch_changesets" -e production

And then subsequently edit the log message for the commit using something like tortoisesvn's edit log message functionality, the

updated log message is not detected by Redmine, even after re-running the "Repository.fetch_changesets" script.

Related issues:

Related to Redmine - Feature #3533: Editing subversion log message does not u... Closed 2009-06-24

History

#1 - 2008-07-04 04:29 - Patrick Oppenlander

This was reported by me, accidentally added it using the guest account, sorry about that.

#2 - 2008-07-04 09:56 - Paul Rivier

fetch_changsets fetches new changesets. On projects with tens of thousands of revisions, this sounds rather natural not to parse them all because

some bits in the log messages may have changed. If you want to reparse it all, kill it then add it again.

It has been discussed in a previous issue to have a "re-evaluate" facility for automating this process, but I don't know if it eventually lead to an

implementation or not.

#3 - 2008-07-06 09:16 - Patrick Oppenlander

That makes sense (we have 30,000+ revisions, and it certainly takes a while to import them)!

However, couldn't the problem be solved with an appropriate post-revprop-change hook (could detect if svn:log has changed)? All that Redmine

needs to do is be able to re-parse a single commit which could be specified on the command line.

A feature to "background" scan the repository and update any changed commits would also be great.

#4 - 2008-08-21 09:24 - Thomas Lecavelier

- Status changed from New to Closed

Definitly not a defect, barely a feature request... Closing.

Feel free to fill a feature request related to that issue if needed.
